﻿@using EpamMVC.WEB.HtmlHelpers
@using EpamMVC.WEB.Utils
@{
    PageMetaContext pageMetaContext = ViewBag.PageMeta;

    if (pageMetaContext == null)
    {
        pageMetaContext = new PageMetaContext();
    }
}

<!DOCTYPE html>
<html lang="ru">
<head>
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-PXDZR3L');</script>

    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

    @if (!string.IsNullOrWhiteSpace(pageMetaContext.MetaTitle))
    {
        <title>@pageMetaContext.MetaTitle | Easy Travel</title>
    }

    @if (!string.IsNullOrWhiteSpace(pageMetaContext.MetaDescription))
    {
        <meta name="description" content="@pageMetaContext.MetaDescription"/>
    }

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap&subset=cyrillic" rel="stylesheet">
    <link rel="stylesheet" href="/Content/dist/bundle.css"/>
    <script defer="defer" src="/Content/dist/bundle.js"></script>

    <link rel="apple-touch-icon" sizes="180x180" href="/Content/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/Content/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/Content/favicon/favicon-16x16.png">
    <link rel="manifest" href="/Content/favicon/site.webmanifest">
    <link rel="mask-icon" href="/Content/favicon/safari-pinned-tab.svg" color="#3d90e3">
    <link rel="shortcut icon" href="/Content/favicon/favicon.ico">
    <meta name="apple-mobile-web-app-title" content="EasyTravel">
    <meta name="application-name" content="EasyTravel">
    <meta name="msapplication-TileColor" content="#3d90e3">
    <meta name="msapplication-config" content="/Content/favicon/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">

    @if (!string.IsNullOrWhiteSpace(Recaptcha.SiteKey))
    {
        <script src="https://www.google.com/recaptcha/api.js?render=@Recaptcha.SiteKey"></script>
    }
</head>
<body>

<noscript>
    <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-PXDZR3L"
            height="0" width="0" style="display:none;visibility:hidden">
    </iframe>
</noscript>

<div class="page">

    @{ Html.RenderAction("Header", "Layout"); }

    <main>
        <div class="container main_content">
            <div class="col_center">
                @Html.PrintBreadscrumbs(pageMetaContext)

                @if (ViewBag.ShowHeader == null || ViewBag.ShowHeader != false)
                {
                    <h1> @pageMetaContext.PageHeader </h1>
                }

                @RenderBody()
            </div>

            @if (IsSectionDefined("Sidebar"))
            {
                <aside class="col_sidebar">
                    @RenderSection("sidebar", false)
                </aside>
            }
        </div>
    </main>

    @{ Html.RenderAction("Footer", "Layout"); }

</div>

</body>
</html>
